<IfModule mod_gnutls.c>
<VirtualHost _default_:443>
 GnuTLSPriorities NORMAL:+CTYPE-OPENPGP
 GnuTLSEnable on
 DocumentRoot /var/www

 GnuTLSClientVerifyMethod cartel
## uncomment the following in order to enable mutual authentication
#GnuTLSClientVerify require
 GnuTLSPGPCertificateFile /etc/apache2/openpgp/test.pub.asc
 GnuTLSPGPKeyFile /etc/apache2/openpgp/test.key.asc
 GnuTLSPGPKeyringFile /etc/apache2/openpgp/pubring.gpg
 ErrorLog ${APACHE_LOG_DIR}/error.log
 LogLevel debug
 CustomLog ${APACHE_LOG_DIR}/ssl_access.log combined
</VirtualHost>
</IfModule>

